/*

  Animations
  Slide in animations used on the
  cart, filter and menu.

*/

// Appear on screen from left
@keyframes slide--in__left{
  from {
    transform: translateX( -100% );
    left: -100%;
    left: calc(-100vw); // 100% of browser width
  }
  to{
    left: 0;
    transform: translateX( 0% );
  }
}

// Hide on screen from left
@keyframes slide--out__left{
  from{
    left: 0;
    transform: translateX( 0% );
  }
  to {
    transform: translateX( -100% );
    left: -100%;
    left: calc(-100vw); // 100% of browser width
  }
}






// Appear on screen from right
@keyframes slide--in__right{
  from {
    right: -100%;
    right: calc(-100vw); // 100% of browser width
  }
  to{ right: 0; }
}

// Hide on screen from right
@keyframes slide--out__right{
  from { right: 0; }
  to {
    right: -100%;
    right: calc(-100vw); // 100% of browser width
  }
}



